#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_Constant_1" type="Constant" x="120" y="190">
      <Parameter name="VALUE" type="int" value="10" description="The value"/>
    </Node>
    <Node name="node_Constant_2" type="Constant" x="260" y="320">
      <Parameter name="VALUE" type="int" value="100" description="The value"/>
    </Node>
    <Node name="node_PyCodeExecutor_1" type="PyCodeExecutor" x="510" y="250">
      <Parameter name="DIRECTORY_NAME" type="string" value="" description="The directory name of your python code. It will inserted to sys.path."/>
      <Parameter name="MODULENAME" type="string" value="sum" description="Your python module name to import, i.e., your python code file name WITHOUT extension."/>
      <Parameter name="CLASSNAME" type="string" value="HarkNode" description="Your class name to call in this node."/>
      <Parameter name="DEBUG" type="bool" value="false" description="Debug option. If true, it prints input list and output list."/>
    </Node>
    <Link from="node_Constant_1" output="VALUE" to="node_PyCodeExecutor_1" input="input1"/>
    <Link from="node_Constant_2" output="VALUE" to="node_PyCodeExecutor_1" input="input2"/>
    <NetOutput name="output" node="node_PyCodeExecutor_1" terminal="output" object_type="any" description="Dynamically added outputs"/>
  </Network>
</Document>
